Skip to main content
GET
/
api
/
v3
/
workspaces
/
{id}
Retrieve a workspace
curl --request GET \
  --url https://paradigm.lighton.ai/api/v3/workspaces/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "name": "<string>",
  "workspace_type": "<string>",
  "document_upload_method": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "user_role": "<string>",
  "used_storage": 123,
  "files_count": 123,
  "summaries": [
    {
      "language": "<string>",
      "summary": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lighton.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

The unique identifier of the workspace.

Response

Workspace details retrieved successfully

V3 Response serializer for company workspace creation and retrieval.

id
integer
required
name
string
required
workspace_type
string
required
document_upload_method
string
required
description
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
user_role
string
required
read-only
used_storage
number<double>
required
files_count
integer
required
summaries
object[]
required
read-only